Quickstart
Create and deploy your first data product in 5 minutes.
-
Create a tenant (admin only)
Terminal window akili tenant create my-org --display-name "My Organization" -
Initialize a data product
Terminal window mkdir my-product && cd my-productakili init --name my-productThis creates 6 YAML manifest files in
.akili/:product.yaml— Product metadata, schedule, and tiersources.yaml— Source declarations and connectionstransforms.yaml— Transform definitions (SQL, Python)quality.yaml— Quality checks and SLA definitionsserving.yaml— Serving intent and materializationgovernance.yaml— Classification and access control
-
Validate manifests
Terminal window akili validate .akili/ -
Deploy the data product
Terminal window akili product deploy my-productUse
--dry-runto preview changes before applying, or--version v2for a specific version. -
Trigger an execution
Terminal window akili run trigger my-productAdd
--forceto re-execute even if data is up to date. -
Query the results
Terminal window curl -H "Authorization: Bearer $TOKEN" \"https://api.akili.systems/api/v1/products/my-product/data?tenant=my-org"import httpxresp = httpx.get("https://api.akili.systems/api/v1/products/my-product/data",params={"tenant": "my-org"},headers={"Authorization": f"Bearer {token}"},)data = resp.json()["data"]const resp = await fetch("https://api.akili.systems/api/v1/products/my-product/data?tenant=my-org",{ headers: { Authorization: `Bearer ${token}` } },);const { data } = await resp.json();